summaryrefslogtreecommitdiffstats
path: root/network/riot-web/riot-web.SlackBuild
diff options
context:
space:
mode:
author David O'Shaughnessy2018-03-18 04:33:56 +0100
committer Willy Sudiarto Raharjo2018-03-24 00:50:30 +0100
commitf8eaf43e162bcada706e8c94051e72900cb1d692 (patch)
treea39646d2cc24164323e2923b2b2e1aa41f2e0d4a /network/riot-web/riot-web.SlackBuild
parent9e1f680bf5ca99ffe4dd0c0777655a718088cfff (diff)
downloadslackbuilds-f8eaf43e162bcada706e8c94051e72900cb1d692.tar.gz
network/riot-web: Added (Riot for Desktop).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/riot-web/riot-web.SlackBuild')
-rw-r--r--network/riot-web/riot-web.SlackBuild76
1 files changed, 76 insertions, 0 deletions
diff --git a/network/riot-web/riot-web.SlackBuild b/network/riot-web/riot-web.SlackBuild
new file mode 100644
index 0000000000..c19ef2e8f7
--- /dev/null
+++ b/network/riot-web/riot-web.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for riot-web
+
+# Copyright 2018 David O'Shaughnessy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=riot-web
+VERSION=${VERSION:-0.13.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# Upstream has binary support for i386 and x86_64.
+if [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+elif [ "$ARCH" = "i586" ]; then
+ DEBARCH="i386"
+else
+ echo "Sorry, the riot-web binary is currently available for i386/x86_64 only."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_$DEBARCH.deb data.tar.xz | tar xJv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# create soft link for launcher
+mkdir -p $PKG/usr/bin
+ln -sf /opt/Riot/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/share/doc/$PRGNAM/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}